﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Animation;

namespace SpinningBlinking
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            Shapes.Pentagon tt;
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            var transform = new RotateTransform();
            var spinningAnimation = new DoubleAnimation(0, 360, new Duration(TimeSpan.FromSeconds(2)))
            {
                RepeatBehavior = RepeatBehavior.Forever
            };
            rectForCodeBehind.RenderTransform = transform;
            transform.BeginAnimation(RotateTransform.AngleProperty, spinningAnimation);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //if(rectForCodeBehind.RenderTransform != null)
            //    rectForCodeBehind.BeginAnimation( STOP

            var storyboard = this.FindResource("spinningStoryboard") as Storyboard;
            rectForCodeBehind.RenderTransform = this.FindResource("rotateTransform") as RotateTransform;
            rectForCodeBehind.BeginStoryboard(storyboard);

            //LayoutRoot.Resources.Add("unique_id", sb);

            ((Button)sender).Content = "Switched, click to restart";
        }
    }
}
